%define	major	16

%define	lib_name %mklibname guppi %{major}

Summary:	GNOME Data Analysis and Visualization
Name:		Guppi
Version:	0.40.3
Release:	10mdk
License:	GPL
Group:		Office
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 0.40.3-8mdk fix build with gcc 3.4
Patch0:		Guppi-0.40.3-gcc34.patch.bz2
Url:		http://www.gnome.org/guppi
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gnome-print-devel
BuildRequires:	sgml-tools
BuildRequires:	gal-devel
BuildRequires:	bonobo-devel
BuildRequires:	libglade-devel tcp_wrappers-devel

%description
GNOME is the GNU Network Object Model Environment. 
This powerful environment is both easy to use and 
easy to configure.

This package will install Guppi, a GNOME-based data 
analysis and visualization system. Install this package 
if you want to test Guppi.

%package -n	%{lib_name}
Summary:        Libraries for Guppi
Group:          System/Libraries

%description -n	%{lib_name}
This package provides libraries to use Guppi.

%package -n	%{lib_name}-devel
Summary:	Development files for Guppi
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Provides:	libguppi-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
Development files for Guppi.

%prep
%setup -q
%patch0 -p1 -b .gcc34

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT

# fix for wrongly detected platform
%{makeinstall_std} transform=""

%find_lang %{name} --with-gnome --all-name

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS BIBLIOGRAPHY ChangeLog NEWS README
#%{_bindir}/*
%{_libdir}/guppi
%{_datadir}/guppi
%{_datadir}/pixmaps/*
#%{_datadir}/oaf/*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_includedir}/gnome-1.0/*
%{_datadir}/aclocal/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/*.sh

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%changelog
* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.40.3-10mdk
- rebuild against latest gnome-print to get rid of lib64 rpaths

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.40.3-9mdk
- fix buildrequires
- fix summary-ended-with-dot
- cosmetics

* Thu Jul 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.40.3-8mdk
- Patch0: fix build with gcc 3.4 

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.40.3-7mdk
- Remove gnumeric support (no longer works with gnumeric 1.1.x)
- Fix BuildRequires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.40.3-6mdk
- Fix BuildRequires (and make Stefan bot happy)
- mklibnamification

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.40.3-5mdk
- Remove dependencies on guile and python (they are no longer needed and
  nobody noticed it :))
- Clean specfile

* Tue Dec  3 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.40.3-4mdk
- Fix configure-without-libdir-spec, rpmlint hints are important.

* Fri Nov 29 2002 Stefan van der Eijk <stefan@eijk.nu> 0.40.3-3mdk
- BuildRequires

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.40.3-2mdk
- Recompiled against latest gal

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.40.3-1mdk
- Release 0.40.3
- Don't use configure macro, it thinks we are crosscompiling..

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.40.2-4mdk
- Rebuild for libgal19
- some BuildRequires

* Tue Jan  8 2002 Stefan van der Eijk <stefan@eijk.nu> 0.40.2-3mdk
- BuildRequires

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.40.2-2mdk
- Recompiled against python 2.2

* Wed Nov 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.40.2-1mdk 
- release 0.40.2

* Fri Nov  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.40.0-5mdk 
- recompiled with libgal18

* Tue Oct 30 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.40.0-4mdk 
- added missing oaf file

* Mon Oct 29 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.40.0-3mdk 
- BuildRequires: gnome-libs-devel
- Requires: gnome-libs
- rebuilt with latest gnome-libs

* Sun Oct 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.40.0-2mdk
- BuildRequires: libxml-devel
- Copyright --> License
- Removed redundant BuildRequires
- major numer to 13

* Fri Oct 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.40.0-1mdk 
- release 0.40.0
- removed menu entry since guppi executable is deprecated

* Fri Jul 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.5-7mdk 
- added support for gnumeric

* Sat Jun 15 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-6mdk
- BuildRequires: popt-devel

* Sat Jun 15 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-5mdk
- BuildRequires: db1-devel

* Sat Jun 15 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-4mdk
- BuildRequires: guile-devel

* Thu Jun 14 2001 Stefan van der Eijk <stefan@eijk.nl> 0.35.5-3mdk
- BuildRequires: oaf-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.5-2mdk 
- new office menu structure

* Thu May 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.5-1mdk 
- new version
- incremented major number

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.3-3mdk 
- Update menu in post/postun scripts

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.35.3-2mdk 
- Recompiled against latest gnome-print

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.35.3-1mdk 
- first mandrake spec file
- corrected files list (we do not own the whole /usr ;-)
- created devel and lib packages
- added icons and menu entry

* Sat Mar 04 2000 Jon Trowbridge <trow@gnu.org>

- Converted Guppi.spec to Guppi.spec.in.
- Tweaked the language in the summary & description.

* Mon Feb 28 2000 Jon Trowbridge <trow@gnu.org>

- Changed version to 0.34.3.

* Wed Feb 23 2000 Jon Trowbridge <trow@gnu.org>

- Updated to 0.34.2.

* Mon Feb 22 2000 Kenny Graunke <graunke@teleport.com>

- Updated to 0.34.1 (using repackaged source, ugh), spec file rewrite
- This 0.34.1 source disables readline due to broken libguilereadline.so
  problems in every guile 1.3.4 x86 RPM I've seen...

* Wed Jan 26 2000 Conrad Steenberg <conrad@srl.caltech.edu>

- Some Alpha fixes for configure
- Remove some unneeded stripping foo and just do a 'make install-strip' instead.
- Move this changelog to the bottom of the file :-)

* Mon Jan 24 2000 Kenny Graunke <graunke@teleport.com>

- First Guppi RPM
